## org.apache.lucene.analysis.standard
Class ClassicFilter

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.lucene.analysis.TokenFilter
                  org.apache.lucene.analysis.standard.ClassicFilter

All Implemented Interfaces:
  Closeable

    public class ClassicFilter

extends TokenFilter

Normalizes tokens extracted with `ClassicTokenizer`.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`AttributeSource.AttributeFactory, AttributeSource.State`

Field Summary

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`ClassicFilter(TokenStream in)` Construct filtering in.

Method Summary
`boolean` `incrementToken()` Returns the next token in the stream, or null at EOS.

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close, end, reset`

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClassicFilter

    public ClassicFilter(TokenStream in)

  Construct filtering in.

Method Detail

### incrementToken

    public final boolean incrementToken()
                                 throws IOException

  Returns the next token in the stream, or null at EOS.

  Removes `'s` from the end of words.

  Removes dots from acronyms.

  Specified by:
    `incrementToken` in class `TokenStream`
  Returns:
    false for end of stream; true otherwise
  Throws:
    `IOException`